<?php  namespace App\Models;

use CodeIgniter\Model;

class ActeModel extends Model{

  protected $table = 'acte' ;
  protected $primaryKey = 'id';

  protected $allowedFields = ['libel','abrev','couleur','duree'] ;
  protected $beforeInsert = ['beforeInsert'] ;
  protected $beforeUpdate = ['beforeUpdate'] ;

  protected function beforeInsert(array $data){
    //$data = $this->passwordHash($data) ;
    return $data;
  }

  protected function beforeUpdate(array $data){
    //$data = $this->passwordHash($data) ;
    return $data;
  }



}
